function ws = dst2Gauss(dsts, sig, wF)
% Computing Gaussian filtering weight.
%
% Input
%   dst     -  distance, 1 x wF
%   sig     -  variable
%
% Output
%   ws      -  weight, 1 x wF
%
% History
%   create  -  Feng Zhou (zhfe99@gmail.com), 01-03-2009
%   modify  -  Feng Zhou (zhfe99@gmail.com), 07-22-2013

ws = exp(- dsts .^ 2 / (wF / 2 / sig + eps) ^ 2 / 2);
ws = ws ./ sum(ws);
