function V = vdoFiltCbFlow(Vs, Ws)
% Weighted combination of frames to generate the frame.
%
% Input
%   Vs      -  flow, 1 x nF (cell), h x w
%   Ws      -  weight, h x w x nF
%
% Output
%   V       -  average flow, h x w
%
% History
%   create  -  Feng Zhou (zhfe99@gmail.com), 01-03-2009
%   modify  -  Feng Zhou (zhfe99@gmail.com), 07-16-2013

% dimension
nF = length(Vs);
prIn('vdoFiltCbFlow', 'nF %d', nF);

% read all frames
V = double(Vs{1}) .* Ws(:, :, 1);
for iF = 2 : nF
    if isempty(Vs{iF})
        continue;
    end

    V = V + double(Vs{iF}) .* Ws(:, :, iF);
end

prOut;