function D = computeHistDist2(Hst, vis)
% Compute saliency for histogram.
%
% Input
%   Hst     -  region histogram, mSeg x nBin
%   A       -  adjacency matrix, mSeg x mSeg
%   idx     -  index of non-zero entry
%
% Output
%   D       -  histogram distance, mSeg x mSeg
%
% History
%   create  -  Feng Zhou (zhfe99@gmail.com), 01-03-2009
%   modify  -  Feng Zhou (zhfe99@gmail.com), 07-27-2013

[d, m] = size(Hst);

D = zeros(m, m);

Hst = Hst(:, vis);

% normalize
len = sum(Hst .^ 2);
len = real(sqrt(len));
Hst = Hst ./ (repmat(len, d, 1) + eps);

D2 = conDst(Hst, Hst);
D(vis, vis) = real(sqrt(D2 / 2));
