function D = computeHistDist3(Hst)
% Compute saliency for histogram.
%
% Input
%   Hst     -  region histogram, mSeg x nBin
%   idx     -  index of non-zero entry
%
% Output
%   D       -  histogram distance, mSeg x mSeg
%
% History
%   create  -  Feng Zhou (zhfe99@gmail.com), 01-03-2009
%   modify  -  Feng Zhou (zhfe99@gmail.com), 07-27-2013

[d, m] = size(Hst);

% normalize
len = sum(Hst .^ 2);
len = real(sqrt(len));
Hst = Hst ./ (repmat(len, d, 1) + eps);

D = conDst(Hst, Hst);
D = real(sqrt(D / 2));
