function S = computePixelSal(sSegs, L, cLs)
% Compute saliency for histogram.
%
% Input
%   sSegs   -  salience of each segment, m x 1
%   L       -  image, h x w x nC
%   m       -  #region
%
% Output
%   S       -  salience, h x w
%
% History
%   create  -  Feng Zhou (zhfe99@gmail.com), 01-03-2009
%   modify  -  Feng Zhou (zhfe99@gmail.com), 06-24-2013

% dimension
[h, w] = size(L);

% segment to pixel
S = zeros(h, w);
for iL = 1 : length(cLs)
    cL = cLs(iL);

    idxL = find(L == cL);
    S(idxL) = sSegs(cL);
end
