function sPriMs = computeSalPriMag(areas, mags)
% Compute saliency based on flow magtitude.
%
% Input
%   areas   -  segment size, mSeg x 1
%   mags    -  cumulative magtitude in each region, mSeg x 1
%
% Output
%   sPriMs  -  spatial prior of each region, mSeg x 1
%
% History
%   create  -  Feng Zhou (zhfe99@gmail.com), 01-03-2009
%   modify  -  Feng Zhou (zhfe99@gmail.com), 07-27-2013

% dimension
mSeg = length(areas);
idx = areas > 0;

% compute prior
sPriMs = zeros(mSeg, 1);
sPriMs(idx) = max(0, mags(idx)) ./ (areas(idx) + eps);
