function F = imgClM(F0, cl, M)
% Add motion to other colors.
%
% Input
%   F0      -  image, h x w x nChan (double)
%   cl      -  color, {'lab'}
%   parSeg
%     alg   -  #algorithm, {'slic'} | 'ucb'
%                 slic: SLIC algorithm based on vlfeat
%                 ucb:  UC Berkeley's method
%     sca   -  resize scale, {1}
%     v1    -  value 1, {0}
%     v2    -  value 2, {0}
%     v3    -  value 3, {0}
%
% Output
%   M       -  segmentation mask
%
% History
%   create  -  Feng Zhou (zhfe99@gmail.com), 07-09-2012
%   modify  -  Feng Zhou (zhfe99@gmail.com), 08-11-2013

if strcmp(cl, 'lab') || strcmp(cl, 'mab') || strcmp(cl, 'lmb') || strcmp(cl, 'lam')
    F = imgLabM(F0, cl, M);
else
    F = imgHsvM(F0, cl, M);
end