function M = imgKey2Cl(M0)
% Convert image-based label to video-based label.
%
% Input
%   hr      -  segmentation input handle
%   parSeg  -  segmentation parameter
%
% Output
%   Ls      -  segment label, h x w x nF
%   mSeg    -  #segments
%
% History
%   create  -  Feng Zhou (zhfe99@gmail.com), 05-23-2013
%   modify  -  Feng Zhou (zhfe99@gmail.com), 07-06-2013

M3 = floor(M0 / 256 ^ 2);
M0 = mod(M0, 256 ^ 2);
M2 = floor(M0 / 256);
M1 = mod(M0, 256);

M = cat(3, M1, M2, M3);