function [ss, mS] = maskRegOv2S(Ov, IdxL2R0, ss0, mS0)
% Conver the overlapping matrix to new label.
%
% Input
%   Ov      -  overlap between frames, mR x mRMa0
%   ss0     -  label in last frame, 1 x mR0
%   mS0     -  #label up to the last frame
%
% Output
%   ss      -  label in current frame, 1 x mR
%   mS      -  #label
%
% History
%   create  -  Feng Zhou (zhfe99@gmail.com), 11-08-2010
%   modify  -  Feng Zhou (zhfe99@gmail.com), 07-07-2013

% dimension
[mR, mRMa0] = size(Ov);
mS = mS0;

% no-overlap
ss = zeros(1, mR);
for iR = 1 : mR
    [~, idx] = max(Ov(iR, :));

    if Ov(iR, idx) == 0
        mS = mS + 1;
        ss(iR) = mS;
    else
        ss(iR) = ss0(idx);
    end
end