function [R, ss, mS] = maskRegSplitInit(wsReg)
% Split mask to disjoint regions of the 1st frame.
%
% Input
%   L       -  label matrix, h x w (uint16)
%   mL      -  #label
%   wsReg   -  region
%
% Output
%   R       -  region matrix, h x w (uint16)
%   ss      -  new label of each region, 1 x mR
%   mS      -  #label after split
%
% History
%   create  -  Feng Zhou (zhfe99@gmail.com), 11-08-2010
%   modify  -  Feng Zhou (zhfe99@gmail.com), 07-23-2013

% region
[R, mR] = stFld(wsReg, 'R', 'mR');

% each label
mS = mR;
ss = 1 : mS;
