function wsPath = vdoPathVox(src, parVox)
% Obtain the image path for the High-Speed source.
%
% Input
%   src     -  hs src
%  parVox  -  parameter
%
% Output
%   wsPath
%     vdo   -  path of segmentation file
%     vdos  -  1 x (nL + 1) (cell)
%
% History
%   create  -  Feng Zhou (zhfe99@gmail.com), 05-29-2012
%   modify  -  Feng Zhou (zhfe99@gmail.com), 09-21-2013

% specified in addPath.m
global footpath;

% data folder
foldpath = sprintf('%s/data/vdo/%s_vox', footpath, src.nm);

% parameter
wMa = stFld(parVox, 'wMa');

% input path
wsPath.ppm = sprintf('%s/ppm_%d', foldpath, wMa);

% cmd path
wsPath.cmd = sprintf('%s/tool/libsvx/gbh_stream', footpath);
