function [pFs, nF] = vdoSmpUni(hd, ed, fps0, fps)
% Uniform sampling.
%
% Input
%   hd      -  head frame
%   ed      -  end frame
%   fps0    -  original frame rate
%   fps     -  new frame rate
%
% Output
%   pFs     -  frame index, 1 x nF
%   nF      -  new #frames
%
% History
%   create  -  Feng Zhou (zhfe99@gmail.com), 07-16-2013
%   modify  -  Feng Zhou (zhfe99@gmail.com), 01-17-2014

% no sampling
if fps == 0
    pFs = hd : ed;
    nF = length(pFs);
    return;
end

% index
pFs = round(hd : fps0 / fps : ed);
if pFs(end) < ed
    pFs = [pFs, ed];
end
nF = length(pFs);

prIn('vdoSmpUni', 'hd %d, ed %d, nF %d', hd, ed, nF);
prOut;
